Update a Fleet Server host
- Base URL
-
https://{kibana_url}
- PUT /api/fleet/fleet_server_hosts/{itemId}
- PUT /s/{space_id}/api/fleet/fleet_server_hosts/{itemId}
Update a Fleet Server host by ID.
Required authorization
- Privileges fleet-settings-all
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Successful response
Bad Request
404
application/json
Not Found